local BabbleTrade=AceLibrary("Babble-Tradeskill-2.2");
local BabbleFaction = AceLibrary("Babble-Faction-2.2");

AtlasLoot_TableNames = {
    --Auch: Mana Tombs
    ["AuchManaPandemonius"] = "Pandemonius";
    ["AuchManaPandemoniusHEROIC"] = "Pandemonius (Heroic)";
    ["AuchManaTavarok"] = "Tavarok";
    ["AuchManaTavarokHEROIC"] = "Tavarok (Heroic)";
    ["AuchManaNexusPrince"] = "Nexus-Prince Shaffar";
    ["AuchManaNexusPrinceHEROIC"] = "Nexus-Prince Shaffar (Heroic)";
    --Auch: Auchenai Crypts
    ["AuchCryptsShirrak"] = "Shirrak the Dead Watcher";
    ["AuchCryptsShirrakHEROIC"] = "Shirrak the Dead Watcher (Heroic)";
    ["AuchCryptsExarch"] = "Exarch Maladaar";
    ["AuchCryptsExarchHEROIC"] = "Exarch Maladaar (Heroic)";
    ["AuchCryptsAvatar"] = "Avatar of the Martyred";
    --Auch: Sethekk Halls
    ["AuchSethekkDarkweaver"] = "Darkweaver Syth";
    ["AuchSethekkDarkweaverHEROIC"] = "Darkweaver Syth (Heroic)";
    ["AuchSethekkTalonKing"] = "Talon King Ikiss";
    ["AuchSethekkTalonKingHEROIC"] = "Talon King Ikiss (Heroic)";
    ["AuchSethekkRavenGod"] = "Raven God Anzu";
    --Auch: Shadow Labyrinth
    ["AuchShadowHellmaw"] = "Ambassador Hellmaw";
    ["AuchShadowHellmawHEROIC"] = "Ambassador Hellmaw (Heroic)";
    ["AuchShadowBlackheart"] = "Blackheart the Inciter";
    ["AuchShadowBlackheartHEROIC"] = "Blackheart the Inciter (Heroic)";
    ["AuchShadowGrandmaster"] = "Grandmaster Vorpil";
    ["AuchShadowGrandmasterHEROIC"] = "Grandmaster Vorpil (Heroic)";
    ["AuchShadowMurmur"] = "Murmur";
    ["AuchShadowMurmurHEROIC"] = "Murmur (Heroic)";
    --Blackfathom Deeps
    ["BFDGhamoora"] = "Ghamoo-ra";
    ["BFDLadySarevess"] = "Lady Sarevess";
    ["BFDGelihast"] = "Gelihast";
    ["BFDBaronAquanis"] = "Baron Aquanis";
    ["BFDTwilightLordKelris"] = "Twilight Lord Kelris";
    ["BFDOldSerrakis"] = "Old Serra'kis";
    ["BFDAkumai"] = "Aku'mai";
    ["BFDTrash"] = "Trash Mobs (BFD)";
    --Blackrock Depths
    ["BRDLordRoccor"] = "Lord Roccor";
    ["BRDHighInterrogatorGerstahn"] = "High Interrogator Gerstahn";
    ["BRDArena"] = "Ring of Law";
    ["BRDTheldren"] = "Theldren";
    ["BRDHoundmaster"] = "Houndmaster Grebmar";
    ["BRDPyromantLoregrain"] = "Pyromancer Loregrain";
    ["BRDWarderStilgiss"] = "The Vault";
    ["BRDFineousDarkvire"] = "Fineous Darkvire";
    ["BRDLordIncendius"] = "Lord Incendius";
    ["BRDBaelGar"] = "Bael'Gar";
    ["BRDGeneralAngerforge"] = "General Angerforge";
    ["BRDGolemLordArgelmach"] = "Golem Lord Argelmach";
    ["BRDGuzzler"] = "The Grim Guzzler";
    ["BRDFlamelash"] = "Ambassador Flamelash";
    ["BRDPanzor"] = "Panzor the Invincible";
    ["BRDTomb"] = "Summoner's Tomb";
    ["BRDMagmus"] = "Magmus";
    ["BRDImperatorDagranThaurissan"] = "Emperor Dagran Thaurissan";
    ["BRDPrincess"] = "Princess Moira Bronzebeard";
    ["BRDTrash"] = "Trash Mobs (BRD)";
    --Lower Blackrock Spire
    ["LBRSOmokk"] = "Highlord Omokk";
    ["LBRSSpirestoneLord"] = "Spirestone Battle Lord";
    ["LBRSVosh"] = "Shadow Hunter Vosh'gajin";
    ["LBRSVoone"] = "War Master Voone";
    ["LBRSGrayhoof"] = "Mor Grayhoof";
    ["LBRSSmolderweb"] = "Mother Smoulderweb";
    ["LBRSCrystalFang"] = "Crystal Fang";
    ["LBRSDoomhowl"] = "Urok Doomhowl";
    ["LBRSZigris"] = "Quartermaster Zigris";
    ["LBRSSlavener"] = "Gizrul the Slavener";
    ["LBRSHalycon"] = "Halycon";
    ["LBRSWyrmthalak"] = "Overlord Wyrmthalak";
    ["LBRSGrimaxe"] = "Bannok Grimaxe";
    ["LBRSSpirestoneButcher"] = "Spirestone Butcher";
    ["LBRSTrash"] = "Trash Mobs (LBRS)";
    --Upper Blackrock Spire
    ["UBRSEmberseer"] = "Pyroguard Emberseer";
    ["UBRSSolakar"] = "Solakar Flamewreath";
    ["UBRSFLAME"] = "Father Flame";
    ["UBRSRunewatcher"] = "Jed Runewatcher";
    ["UBRSAnvilcrack"] = "Goraluk Anvilcrack";
    ["UBRSRend"] = "Warchief Rend Blackhand";
    ["UBRSGyth"] = "Gyth";
    ["UBRSBeast"] = "The Beast";
    ["UBRSValthalak"] = "Lord Valthalak";
    ["UBRSDrakkisath"] = "General Drakkisath";
    ["UBRSTrash"] = "Trash Mobs (UBRS)";
    --The Black Temple
    ["BTNajentus"] = "High Warlord Naj'entus";
    ["BTSupremus"] = "Supremus";
    ["BTGorefiend"] = "Teron Gorefiend";
    ["BTBloodboil"] = "Gurtogg Bloodboil";
    ["BTAkama"] = "Shade of Akama";
    ["BTEssencofSouls"] = "Essence of Souls";
    ["BTShahraz"] = "Mother Shahraz";
    ["BTCouncil"] = "Illidari Council";
    ["BTIllidanStormrage"] = "Illidan Stormrage";
    ["BTTrash"] = "Trash Mobs (Black Temple)";
    --Blackwing Lair
    ["BWLRazorgore"] = "Razorgore the Untamed";
    ["BWLVaelastrasz"] = "Vaelastrasz the Corrupt";
    ["BWLLashlayer"] = "Broodlord Lashlayer";
    ["BWLFiremaw"] = "Firemaw";
    ["BWLEbonroc"] = "Ebonroc";
    ["BWLFlamegor"] = "Flamegor";
    ["BWLChromaggus"] = "Chromaggus";
    ["BWLNefarian"] = "Nefarian";
    ["BWLTrashMobs"] = "Trash Mobs (BWL)";
    --CFR: Slave Pens
    ["CFRSlaveMennu"] = "Mennu the Betrayer";
    ["CFRSlaveMennuHEROIC"] = "Mennu the Betrayer (Heroic)";
    ["CFRSlaveRokmar"] = "Rokmar the Crackler";
    ["CFRSlaveRokmarHEROIC"] = "Rokmar the Crackler (Heroic)";
    ["CFRSlaveQuagmirran"] = "Quagmirran";
    ["CFRSlaveQuagmirranHEROIC"] = "Quagmirran (Heroic)";
    --CFR: The Steamvault
    ["CFRSteamThespia"] = "Hydromancer Thespia";
    ["CFRSteamThespiaHEROIC"] = "Hydromancer Thespia (Heroic)";
    ["CFRSteamSteamrigger"] = "Mekgineer Steamrigger";
    ["CFRSteamSteamriggerHEROIC"] = "Mekgineer Steamrigger (Heroic)";
    ["CFRSteamWarlord"] = "Warlord Kalithresh";
    ["CFRSteamWarlordHEROIC"] = "Warlord Kalithresh (Heroic)";
    ["CFRSteamTrash"] = "Trash Mobs (Steamvault)";
    --CFR: The Underbog
    ["CFRUnderHungarfen"] = "Hungarfen";
    ["CFRUnderHungarfenHEROIC"] = "Hungarfen (Heroic)";
    ["CFRUnderGhazan"] = "Ghaz'an";
    ["CFRUnderGhazanHEROIC"] = "Ghaz'an (Heroic)";
    ["CFRUnderSwamplord"] = "Swamplord Musel'ek";
    ["CFRUnderSwamplordHEROIC"] = "Swamplord Musel'ek (Heroic)";
    ["CFRUnderStalker"] = "The Black Stalker";
    ["CFRUnderStalkerHEROIC"] = "The Black Stalker (Heroic)";
    --CFR: Serpentshrine Cavern
    ["CFRSerpentHydross"] = "Hydross the Unstable";
    ["CFRSerpentKarathress"] = "Fathom-Lord Karathress";
    ["CFRSerpentMorogrim"] = "Morogrim Tidewalker";
    ["CFRSerpentLeotheras"] = "Leotheras the Blind";
    ["CFRSerpentLurker"] = "The Lurker Below";
    ["CFRSerpentVashj"] = "Lady Vashj";
    ["CFRSerpentTrash"] = "Trash Mobs (Serpentshrine Cavern)";
    --CoT: Old Hillsbrad
    ["CoTHillsbradDrake"] = "Lieutenant Drake";
    ["CoTHillsbradDrakeHEROIC"] = "Lieutenant Drake (Heroic)";
    ["CoTHillsbradSkarloc"] = "Captain Skarloc";
    ["CoTHillsbradSkarlocHEROIC"] = "Captain Skarloc (Heroic)";
    ["CoTHillsbradHunter"] = "Epoch Hunter";
    ["CoTHillsbradHunterHEROIC"] = "Epoch Hunter (Heroic)";
    ["CoTHillsbradTrash"] = "Trash Mobs (CoT: Hillsbrad)";
    --CoT: Black Morass
    ["CoTMorassDeja"] = "Chrono Lord Deja";
    ["CoTMorassDejaHEROIC"] = "Chrono Lord Deja (Heroic)";
    ["CoTMorassTemporus"] = "Temporus";
    ["CoTMorassTemporusHEROIC"] = "Temporus (Heroic)";
    ["CoTMorassAeonus"] = "Aeonus";
    ["CoTMorassAeonusHEROIC"] = "Aeonus (Heroic)";
    ["CoTMorassTrash"] = "Trash Mobs (CoT: Black Morass)";
    --CoT: Mount Hyjal
    ["MountHyjalWinterchill"] = "Rage Winterchill";
    ["MountHyjalAnetheron"] = "Anetheron";
    ["MountHyjalKazrogal"] = "Kaz'rogal";
    ["MountHyjalAzgalor"] = "Azgalor";
    ["MountHyjalArchimonde"] = "Archimonde";
    --The Deadmines
    ["VCRhahkZor"] = "Rhahk'Zor";
    ["VCMinerJohnson"] = "Miner Johnson";
    ["VCSneed"] = "Sneed";
    ["VCGilnid"] = "Gilnid";
    ["VCCaptainGreenskin"] = "Captain Greenskin";
    ["VCVanCleef"] = "Edwin VanCleef";
    ["VCMrSmite"] = "Mr. Smite";
    ["VCCookie"] = "Cookie";
    --Dire Maul East
    ["DMEPusillin"] = "Pusillin";
    ["DMEZevrimThornhoof"] = "Zevrim Thornhoof";
    ["DMEHydro"] = "Hydrospawn";
    ["DMELethtendris"] = "Lethtendris";
    ["DMEAlzzin"] = "Alzzin the Wildshaper";
    ["DMEIsalien"] = "Isalien";
    ["DMETrash"] = "Trash Mobs (DM - East)";
    ["DMBooks"] = "Dire Maul Books";
    --Dire Maul North
    ["DMNGuardMoldar"] = "Guard Mol'dar";
    ["DMNStomperKreeg"] = "Stomper Kreeg";
    ["DMNGuardFengus"] = "Guard Fengus";
    ["DMNThimblejack"] = "Knot Thimblejack";
    ["DMNGuardSlipkik"] = "Guard Slip'kik";
    ["DMNCaptainKromcrush"] = "Captain Kromcrush";
    ["DMNKingGordok"] = "King Gordok";
    ["DMNTRIBUTERUN"] = "DM North Tribute Chest";
    --Dire Maul West
    ["DMWTendrisWarpwood"] = "Tendris Warpwood";
    ["DMWIllyannaRavenoak"] = "Illyanna Ravenoak";
    ["DMWMagisterKalendris"] = "Magister Kalendris";
    ["DMWTsuzee"] = "Tsu'Zee";
    ["DMWImmolthar"] = "Immol'thar";
    ["DMWHelnurath"] = "Lord Hel'nurath";
    ["DMWPrinceTortheldrin"] = "Prince Tortheldrin";
    ["DMWTrash"] = "Trash Mobs (DM - West)";
    --Gnomeregan
    ["GnViscousFallout"] = "Viscous Fallout";
    ["GnGrubbis"] = "Grubbis";
    ["GnElectrocutioner6000"] = "Electrocutioner 6000";
    ["GnMekgineerThermaplugg"] = "Mekgineer Thermaplugg";
    ["GnDIAmbassador"] = "Dark Iron Ambassador";
    ["GnCrowdPummeler960"] = "Crowd Pummeler 9-60";
    ["GnTrash"] = "Trash Mobs (Gnomeregan)";
    --Gruul's Lair
    ["GruulsLairHighKingMaulgar"] = "High King Maulgar";
    ["GruulGruul"] = "Gruul the Dragonkiller";
    --HC: Blood Furnace
    ["HCFurnaceMaker"] = "The Maker";
    ["HCFurnaceMakerHEROIC"] = "The Maker (Heroic)";
    ["HCFurnaceBroggok"] = "Broggok";
    ["HCFurnaceBroggokHEROIC"] = "Broggok (Heroic)";
    ["HCFurnaceBreaker"] = "Keli'dan the Breaker";
    ["HCFurnaceBreakerHEROIC"] = "Keli'dan the Breaker (Heroic)";
    --HC: Magtheridon's Lair
    ["HCMagtheridon"] = "Magtheridon";
    --HC: Ramparts
    ["HCRampWatchkeeper"] = "Watchkeeper Gargolmar";
    ["HCRampWatchkeeperHEROIC"] = "Watchkeeper Gargolmar (Heroic)";
    ["HCRampOmor"] = "Omor the Unscarred";
    ["HCRampOmorHEROIC"] = "Omor the Unscarred (Heroic)";
    ["HCRampVazruden"] = "Vazruden";
    ["HCRampNazan"] = "Nazan";
    ["HCRampFelIronChest"] = "Reinforced Fel Iron Chest";
    ["HCRampFelIronChestHEROIC"] = "Reinforced Fel Iron Chest (Heroic)";
    --HC: Shattered Halls
    ["HCHallsNethekurse"] = "Grand Warlock Nethekurse";
    ["HCHallsNethekurseHEROIC"] = "Grand Warlock Nethekurse (Heroic)";
    ["HCHallsOmrogg"] = "Warbringer O'mrogg";
    ["HCHallsOmroggHEROIC"] = "Warbringer O'mrogg (Heroic)";
    ["HCHallsKargath"] = "Warchief Kargath Bladefist";
    ["HCHallsKargathHEROIC"] = "Warchief Kargath Bladefist (Heroic)";
    ["HCHallsTrash"] = "Trash Mobs (HC: Shattered Halls)";
    --Karazhan
    ["KaraAttumen"] = "Attumen the Huntsman";
    ["KaraNamed"] = "Servant's Quarter Animal Bosses";
    ["KaraMoroes"] = "Moroes";
    ["KaraMaiden"] = "Maiden of Virtue";
    ["KaraOperaEvent"] = "Opera Event";
    ["KaraCurator"] = "The Curator";
    ["KaraIllhoof"] = "Terestian Illhoof";
    ["KaraAran"] = "Shade of Aran";
    ["KaraNetherspite"] = "Netherspite";
    ["KaraNightbane"] = "Nightbane";
    ["KaraChess"] = "Chess Event";
    ["KaraPrince"] = "Prince Malchezaar";
    ["KaraTrash"] = "Trash Mobs (Karazhan)";
    --Maraudon
    ["MaraNoxxion"] = "Noxxion";
    ["MaraRazorlash"] = "Razorlash";
    ["MaraLordVyletongue"] = "Lord Vyletongue";
    ["MaraMeshlok"] = "Meshlok the Harvester";
    ["MaraCelebras"] = "Celebras the Cursed";
    ["MaraLandslide"] = "Landslide";
    ["MaraTinkererGizlock"] = "Tinkerer Gizlock";
    ["MaraRotgrip"] = "Rotgrip";
    ["MaraPrincessTheradras"] = "Princess Theradras";
    --Molten Core
    ["MCLucifron"] = "Lucifron";
    ["MCMagmadar"] = "Magmadar";
    ["MCGehennas"] = "Gehennas";
    ["MCGarr"] = "Garr";
    ["MCShazzrah"] = "Shazzrah";
    ["MCGeddon"] = "Baron Geddon";
    ["MCGolemagg"] = "Golemagg the Incinerator";
    ["MCSulfuron"] = "Sulfuron Harbinger";
    ["MCMajordomo"] = "Majordomo Executus";
    ["MCRagnaros"] = "Ragnaros";
    ["MCTrashMobs"] = "Trash Mobs";
    ["MCRANDOMBOSSDROPPS"] = "Random Boss Drops";
    --Naxxramas
    ["NAXPatchwerk"] = "Patchwerk";
    ["NAXGrobbulus"] = "Grobbulus";
    ["NAXGluth"] = "Gluth";
    ["NAXThaddius"] = "Thaddius";
    ["NAXAnubRekhan"] = "Anub'Rekhan";
    ["NAXGrandWidowFaerlina"] = "Grand Widow Faerlina";
    ["NAXMaexxna"] = "Maexxna";
    ["NAXInstructorRazuvious"] = "Instructor Razuvious";
    ["NAXGothikderHarvester"] = "Gothik the Harvester";
    ["NAXTheFourHorsemen"] = "The Four Horsemen";
    ["NAXNothderPlaguebringer"] = "Noth the Plaguebringer";
    ["NAXHeiganderUnclean"] = "Heigan the Unclean";
    ["NAXLoatheb"] = "Loatheb";
    ["NAXSapphiron"] = "Sapphiron";
    ["NAXKelThuzard"] = "Kel'Thuzad";
    ["NAXTrash"] = "Trash Mobs (Naxx)";
    --Onyxia's Lair
    ["Onyxia"] = "Onyxia";
    --Ragefire Chasm
    ["RFCTaragaman"] = "Taragaman the Hungerer";
    ["RFCJergosh"] = "Jergosh the Invoker";
    --Razorfen Downs
    ["RFDTutenkash"] = "Tuten'kash";
    ["RFDMordreshFireEye"] = "Mordresh Fire Eye";
    ["RFDGlutton"] = "Glutton";
    ["RFDRagglesnout"] = "Ragglesnout";
    ["RFDAmnennar"] = "Amnennar the Coldbringer";
    ["RFDTrash"] = "Trash Mobs (RFD)";
    --Razorfen Kraul
    ["RFKDeathSpeakerJargba"] = "Death Speaker Jargba";
    ["RFKOverlordRamtusk"] = "Overlord Ramtusk";
    ["RFKAgathelos"] = "Agathelos the Raging";
    ["RFKBlindHunter"] = "Blind Hunter";
    ["RFKCharlgaRazorflank"] = "Charlga Razorflank";
    ["RFKEarthcallerHalmgar"] = "Earthcaller Halmgar";
    ["RFKTrash"] = "Trash Mobs (RFK)";
    --The Ruins of Ahn'Qiraj
    ["AQ20Kurinnaxx"] = "Kurinnaxx";
    ["AQ20Andorov"] = "Lieutenant General Andorov";
    ["AQ20CAPTIAN"] = "Rajaxx's Captains";
    ["AQ20Rajaxx"] = "General Rajaxx";
    ["AQ20Moam"] = "Moam";
    ["AQ20Buru"] = "Buru the Gorger";
    ["AQ20Ayamiss"] = "Ayamiss the Hunter";
    ["AQ20Ossirian"] = "Ossirian the Unscarred";
    ["AQ20ClassBooks"] =  "AQ Class Books";
    ["AQEnchants"] = "AQ Enchants";
    --Scarlet Monestery
    ["SMHoundmasterLoksey"] = "Houndmaster Loksey";
    ["SMDoan"] = "Arcanist Doan";
    ["SMHerod"] = "Herod";
    ["SMFairbanks"] = "High Inquisitor Fairbanks";
    ["SMMograine"] = "Scarlet Commander Mograine";
    ["SMWhitemane"] = "High Inquisitor Whitemane";
    ["SMIronspine"] = "Ironspine";
    ["SMAzshir"] = "Azshir the Sleepless";
    ["SMFallenChampion"] = "Fallen Champion";
    ["SMBloodmageThalnos"] = "Bloodmage Thalnos";
    ["SMTrash"] = "Trash Mobs (SM)";
    --Scholomance
    ["SCHOLOKirtonostheHerald"] = "Kirtonos the Herald";
    ["SCHOLOJandiceBarov"] = "Jandice Barov";
    ["SCHOLORattlegore"] = "Rattlegore";
    ["SCHOLODeathKnight"] = "Death Knight Darkreaver";
    ["SCHOLOMarduk"] = "Marduk Blackpool";
    ["SCHOLOVectus"] = "Vectus";
    ["SCHOLORasFrostwhisper"] = "Ras Frostwhisper";
    ["SCHOLOKormok"] = "Kormok";
    ["SCHOLOInstructorMalicia"] = "Instructor Malicia";
    ["SCHOLODoctorTheolenKrastinov"] = "Instructor Malicia";
    ["SCHOLOLorekeeperPolkelt"] = "Lorekeeper Polkelt";
    ["SCHOLOTheRavenian"] = "The Ravenian";
    ["SCHOLOLordAlexeiBarov"] = "Lord Alexei Barov";
    ["SCHOLOLadyIlluciaBarov"] = "Lady Illucia Barov";
    ["SCHOLODarkmasterGandling"] = "Darkmaster Gandling";
    ["SCHOLOTrash"] = "Trash Mobs (SCHOLO)";
    --Shadowfang Keep
    ["BSFRazorclawtheButcher"] = "Razorclaw the Butcher";
    ["BSFSilverlaine"] = "Baron Silverlaine";
    ["BSFSpringvale"] = "Commander Springvale";
    ["BSFOdotheBlindwatcher"] = "Odo the Blindwatcher";
    ["BSFFenrustheDevourer"] = "Fenrus the Devourer";
    ["BSFWolfMasterNandos"] = "Wolf Master Nandos";
    ["BSFArchmageArugal"] = "Archmage Arugal";
    ["BSFTrash"] = "Trash Mobs (SFK)";
    --The Stockade
    ["SWStKamDeepfury"] = "Kam Deepfury";
    ["SWStBruegalIronknuckle"] = "Bruegal Ironknuckle";
    --Stratholme
    ["STRATSkull"] = "Skul";
    ["STRATStratholmeCourier"] = "Mailbox Keys";
    ["STRATFrasSiabi"] = "Fras Siabi";
    ["STRATHearthsingerForresten"] = "Hearthsinger Forresten";
    ["STRATTheUnforgiven"] = "The Unforgiven";
    ["STRATTimmytheCruel"] = "Timmy the Cruel";
    ["STRATCannonMasterWilley"] = "Cannon Master Willey";
    ["STRATArchivistGalford"] = "Archivist Galford";
    ["STRATBalnazzar"] = "Balnazzar";
    ["STRATSothosJarien"] = "Sothos and Jarien";
    ["STRATStonespine"] = "Stonespine";
    ["STRATBaronessAnastari"] = "Baroness Anastari";
    ["STRATNerubenkan"] = "Nerub'enkan";
    ["STRATMalekithePallid"] = "Maleki the Pallid";
    ["STRATMagistrateBarthilas"] = "Magistrate Barthilas";
    ["STRATRamsteintheGorger"] = "Ramstein the Gorger";
    ["STRATBaronRivendare"] = "Baron Rivendare";
    ["STRATTrash"] = "Trash Mobs (STRAT)";
    --Sunken Temple
    ["STTrollMinibosses"] = "Troll Minibosses";
    ["STAtalalarion"] = "Atal'alarion";
    ["STDreamscythe"] = "Dreamscythe";
    ["STWeaver"] = "Weaver";
    ["STAvatarofHakkar"] = "Avatar of Hakkar";
    ["STJammalan"] = "Jammal'an the Prophet";
    ["STOgom"] = "Ogom the Wretched";
    ["STMorphaz"] = "Morphaz";
    ["STHazzas"] = "Hazzas";
    ["STEranikus"] = "Shade of Eranikus";
    ["STTrash"] = "Trash Mobs (ST)";
    --Temple of Ahn'Qiraj
    ["AQ40Skeram"] = "The Prophet Skeram";
    ["AQ40Vem"] = "The Bug Family";
    ["AQ40Sartura"] = "Battleguard Sartura";
    ["AQ40Fankriss"] = "Fankriss the Unyielding";
    ["AQ40Viscidus"] = "Viscidus";
    ["AQ40Huhuran"] = "Princess Huhuran";
    ["AQ40Emperors"] = "The Twin Emperors";
    ["AQ40Ouro"] = "Ouro";
    ["AQ40CThun"] = "C'Thun";
    ["AQ40Trash"] = "Trash Mobs (AQ40)";
    ["AQOpening"] = "AQ Opening Quest Line";
    --TK: The Arcatraz
    ["TKArcUnbound"] = "Zereketh the Unbound";
    ["TKArcUnboundHEROIC"] = "Zereketh the Unbound (Heroic)";
    ["TKArcScryer"] = "Wrath-Scryer Soccothrates";
    ["TKArcScryerHEROIC"] = "Wrath-Scryer Soccothrates (Heroic)";
    ["TKArcDalliah"] = "Dalliah the Doomsayer";
    ["TKArcDalliahHEROIC"] = "Dalliah the Doomsayer (Heroic)";
    ["TKArcHarbinger"] = "Harbinger Skyriss";
    ["TKArcHarbingerHEROIC"] = "Harbinger Skyriss (Heroic)";
    ["TKArcTrash"] = "Trash Mobs (TK: The Arcatraz)";
    --TK: The Botanica
    ["TKBotSarannis"] = "Commander Sarannis";
    ["TKBotSarannisHEROIC"] = "Commander Sarannis (Heroic)";
    ["TKBotFreywinn"] = "High Botanist Freywinn";
    ["TKBotFreywinnHEROIC"] = "High Botanist Freywinn (Heroic)";
    ["TKBotThorngrin"] = "Thorngrin the Tender";
    ["TKBotThorngrinHEROIC"] = "Thorngrin the Tender (Heroic)";
    ["TKBotLaj"] = "Laj";
    ["TKBotLajHEROIC"] = "Laj (Heroic)";
    ["TKBotSplinter"] = "Warp Splinter";
    ["TKBotSplinterHEROIC"] = "Warp Splinter (Heroic)";
    ["TKBotTrash"] = "Trash Mobs (TK: The Botanica)";
    --TK: The Eye
    ["TKEyeAlar"] = "Al'ar";
    ["TKEyeVoidReaver"] = "Void Reaver";
    ["TKEyeSolarian"] = "Solarian";
    ["TKEyeKaelthas"] = "Kael'thas";
    ["TKEyeTrash"] = "Trash Mobs (TK: The Eye)";
    --TK: The Mechanar
    ["TKMechGyro"] = "Gatewatcher Gyro-Kill";
    ["TKMechGyroHEROIC"] = "Gatewatcher Gyro-Kill (Heroic)";
    ["TKMechIron"] = "Gatewatcher Iron-Hand";
    ["TKMechIronHEROIC"] = "Gatewatcher Iron-Hand (Heroic)";
    ["TKMechCacheoftheLegion"] = "Cache of the Legion";
    ["TKMechCapacitus"] = "Mechano-Lord Capacitus";
    ["TKMechCapacitusHEROIC"] = "Mechano-Lord Capacitus (Heroic)";
    ["TKMechSepethrea"] = "Nethermancer Sepethrea";
    ["TKMechSepethreaHEROIC"] = "Nethermancer Sepethrea (Heroic)";
    ["TKMechCalc"] = "Pathaleon the Calculator";
    ["TKMechCalcHEROIC"] = "Pathaleon the Calculator (Heroic)";
    ["TKMechTrash"] = "Trash Mobs (TK: The Mechanar)";
    --Uldaman
    ["UldRevelosh"] = "Revelosh";
    ["UldIronaya"] = "Ironaya";
    ["UldAncientStoneKeeper"] = "Ancient Stone Keeper";
    ["UldGalgannFirehammer"] = "Galgann Firehammer";
    ["UldGrimlok"] = "Grimlok";
    ["UldArchaedas"] = "Archaedas";
    ["UldTrash"] = "Trash Mobs (Uld)";
    --Wailing Caverns
    ["WCLordCobrahn"] = "Lord Cobrahn";
    ["WCLadyAnacondra"] = "Lady Anacondra";
    ["WCKresh"] = "Kresh";
    ["WCLordPythas"] = "Lord Pythas";
    ["WCSkum"] = "Skum";
    ["WCLordSerpentis"] = "Lord Serpentis";
    ["WCVerdan"] = "Verdan the Everliving";
    ["WCMutanus"] = "Mutanus the Devourer";
    ["WCDeviateFaerieDragon"] = "Deviate Faerie Dragon";
    --Zul'Farrak
    ["ZFAntusul"] = "Antu'sul";
    ["ZFWitchDoctorZumrah"] = "Witch Doctor Zum'rah";
    ["ZFSezzziz"] = "Shadowpriest Sezz'ziz";
    ["ZFGahzrilla"] = "Gahz'rilla";
    ["ZFDustwraith"] = "Dustwraith";
    ["ZFChiefUkorzSandscalp"] = "Chief Ukorz Sandscalp";
    ["ZFZerillis"] = "Zerillis";
    ["ZFTrash"] = "Trash Mobs (ZF)";
    --Zul'Gurub
    ["ZGJeklik"] = "High Priestess Jeklik";
    ["ZGVenoxis"] = "High Priest Venoxis";
    ["ZGMarli"] = "High Priestess Mar'li";
    ["ZGMandokir"] = "Bloodlord Mandokir";
    ["ZGGrilek"] = "Gri'lek of the Iron Blood";
    ["ZGHazzarah"] = "Hazzarah the Dreamweaver";
    ["ZGRenataki"] = "Renataki of the Thousand Blades";
    ["ZGWushoolay"] = "Wushoolay the Storm Witch";
    ["ZGGahzranka"] = "Gahz'ranka";
    ["ZGThekal"] = "High Priest Thekal";
    ["ZGArlokk"] = "High Priestess Arlokk";
    ["ZGJindo"] = "Jin'do the Hexxer";
    ["ZGHakkar"] = "Hakkar";
    ["ZGShared"] = "Shared ZG Priest Drops";
    ["ZGTrash1"] = "Trash Mobs (ZG)";
    ["ZGTrash2"] = "Trash Mobs (ZG)";
    ["ZGEnchants"] = "ZG Enchants";
    --Arena PvP Sets
    ["ArenaDruid"] = "Druid Arena Sets";
    ["ArenaHunter"] = "Hunter Arena Sets";
    ["ArenaMage"] = "Mage Arena Sets";
    ["ArenaPaladin"] = "Paladin Arena Sets";
    ["ArenaPriest"] = "Priest Arena Sets";
    ["ArenaRogue"] = "Rogue Arena Sets";
    ["ArenaShaman"] = "Shaman Arena Sets";
    ["ArenaWarlock"] = "Warlock Arena Sets";
    ["ArenaWarrior"] = "Warrior Arena Sets";
    --Arena PvP Sets, season 2
    ["Arena2Druid"] = "Druid Arena Sets";
    ["Arena2Hunter"] = "Hunter Arena Sets";
    ["Arena2Mage"] = "Mage Arena Sets";
    ["Arena2Paladin"] = "Paladin Arena Sets";
    ["Arena2Priest"] = "Priest Arena Sets";
    ["Arena2Rogue"] = "Rogue Arena Sets";
    ["Arena2Shaman"] = "Shaman Arena Sets";
    ["Arena2Warlock"] = "Warlock Arena Sets";
    ["Arena2Warrior"] = "Warrior Arena Sets";
    --Level 60 PvP Sets
    ["PVPDruid"] = "Druid PvP Sets (Lvl 60)";
    ["PVPHunter"] = "Hunter PvP Sets (Lvl 60)";
    ["PVPMage"] = "Mage PvP Sets (Lvl 60)";
    ["PVPPaladin"] = "Paladin PvP Sets (Lvl 60)";
    ["PVPPriest"] = "Priest PvP Sets (Lvl 60)";
    ["PVPRogue"] = "Rogue PvP Sets (Lvl 60)";
    ["PVPShaman"] = "Shaman PvP Sets (Lvl 60)";
    ["PVPWarlock"] = "Warlock PvP Sets (Lvl 60)";
    ["PVPWarrior"] = "Warrior PvP Sets (Lvl 60)";
    --Level 70 PvP Sets
    ["PVP70Druid"] = "Druid PvP Sets (Lvl 70)";
    ["PVP70Hunter"] = "Hunter PvP Sets (Lvl 70)";
    ["PVP70Mage"] = "Mage PvP Sets (Lvl 70)";
    ["PVP70Paladin"] = "Paladin PvP Sets (Lvl 70)";
    ["PVP70Priest"] = "Priest PvP Sets (Lvl 70)";
    ["PVP70Rogue"] = "Rogue PvP Sets (Lvl 70)";
    ["PVP70Shaman"] = "Shaman PvP Sets (Lvl 70)";
    ["PVP70Warlock"] = "Warlock PvP Sets (Lvl 70)";
    ["PVP70Warrior"] = "Warrior PvP Sets (Lvl 70)";
    --AQ20 Sets
    ["AQ20Druid"] = "Druid AQ20 Set";
    ["AQ20Hunter"] = "Hunter AQ20 Set";
    ["AQ20Mage"] = "Mage AQ20 Set";
    ["AQ20Paladin"] = "Paladin AQ20 Set";
    ["AQ20Priest"] = "Priest AQ20 Set";
    ["AQ20Rogue"] = "Rogue AQ20 Set";
    ["AQ20Shaman"] = "Shaman AQ20 Set";
    ["AQ20Warlock"] = "Warlock AQ20 Set";
    ["AQ20Warrior"] = "Warrior AQ20 Set";
    --AQ40 Sets
    ["AQ40Druid"] = "Druid AQ40 Set";
    ["AQ40Hunter"] = "Hunter AQ40 Set";
    ["AQ40Mage"] = "Mage AQ40 Set";
    ["AQ40Paladin"] = "Paladin AQ40 Set";
    ["AQ40Priest"] = "Priest AQ40 Set";
    ["AQ40Rogue"] = "Rogue AQ40 Set";
    ["AQ40Shaman"] = "Shaman AQ40 Set";
    ["AQ40Warlock"] = "Warlock AQ40 Set";
    ["AQ40Warrior"] = "Warrior AQ40 Set";
    --AQ40 Sets
    ["AQ40Druid"] = "Druid AQ40 Set";
    ["AQ40Hunter"] = "Hunter AQ40 Set";
    ["AQ40Mage"] = "Mage AQ40 Set";
    ["AQ40Paladin"] = "Paladin AQ40 Set";
    ["AQ40Priest"] = "Priest AQ40 Set";
    ["AQ40Rogue"] = "Rogue AQ40 Set";
    ["AQ40Shaman"] = "Shaman AQ40 Set";
    ["AQ40Warlock"] = "Warlock AQ40 Set";
    ["AQ40Warrior"] = "Warrior AQ40 Set";
    --Pre60 Sets
    ["DEADMINES"] = "Defias Leather";
    ["WAILING"] = "Embrace of the Viper";
    ["SCARLET"] = "Chain of the Scarlet Crusade";
    ["BLACKROCKD"] = "The Gladiator";
    ["IRONWEAVE"] = "Ironweave Battlesuit";
    ["ScholoCloth"] = "Necropile Raiment";
    ["ScholoLeather"] = "Cadaverous Garb";
    ["ScholoMail"] = "Bloodmail Regalia";
    ["ScholoPlate"] = "Deathbone Guardian";
    ["STRAT"] = "The Postmaster";
    ["ScourgeInvasion"] = "Scourge Invasion";
    ["ShardOfGods"] = "Shard of the Gods";
    ["ZGRings"] = "Zul'Gurub Rings";
    ["SpiritofEskhandar"] = "Spirit of Eskhandar";
    ["HakkariBlades"] = "The Twin Blades of Hakkari";
    ["PrimalBlessing"] = "Primal Blessing";
    ["DalRend"] = "Dal'Rend's Arms";
    ["SpiderKiss"] = "Spider's Kiss";
    --BC Sets
    ["TwinStars"] = "The Twin Stars";
    --Crafted Sets - Blacksmithing
    ["ImperialPlate"] = "Imperial Plate";
    ["TheDarksoul"] = "The Darksoul";
    ["FelIronPlate"] = "Fel Iron Plate";
    ["AdamantiteB"] = "Adamantite Battlegear";
    ["ShadowG"] = "Shadow Guard";
    ["EnchantedAdaman"] = "Enchanted Adamantite Armor";
    ["KhoriumWard"] = "Khorium Ward";
    ["FaithFelsteel"] = "Faith in Felsteel";
    ["BurningRage"] = "Burning Rage";
    ["BloodsoulEmbrace"] = "Bloodsoul Embrace";
    ["FelIronChain"] = "Fel Iron Chain";
    --Crafted Sets - Tailoring
    ["BloodvineG"] = "Bloodvine Garb";
    ["NeatherVest"] = "Netherweave Vestments";
    ["ImbuedNeather"] = "Imbued Netherweave";
    ["ArcanoVest"] = "Arcanoweave Vestments";
    ["TheUnyielding"] = "The Unyielding";
    ["WhitemendWis"] = "Whitemend Wisdom";
    ["SpellstrikeInfu"] = "Spellstrike Infusion";
    ["BattlecastG"] = "Battlecast Garb";
    ["SoulclothEm"] = "Soulcloth Embrace";
    ["PrimalMoon"] = "Primal Mooncloth";
    ["ShadowEmbrace"] = "Shadow's Embrace";
    ["SpellfireWrath"] = "Wrath of Spellfire";
    --Crafted Sets - Leatherworking
    ["VolcanicArmor"] = "Volcanic Armor";
    ["IronfeatherArmor"] = "Ironfeather Armor";
    ["StormshroudArmor"] = "Stormshroud Armor";
    ["DevilsaurArmor"] = "Devilsaur Armor";
    ["BloodTigerH"] = "Blood Tiger Harness";
    ["PrimalBatskin"] = "Primal Batskin";
    ["WildDraenishA"] = "Wild Draenish Armor";
    ["ThickDraenicA"] = "Thick Draenic Armor";
    ["FelSkin"] = "Fel Skin";
    ["SClefthoof"] = "Strength of the Clefthoof";
    ["GreenDragonM"] = "Green Dragon Mail";
    ["BlueDragonM"] = "Blue Dragon Mail";
    ["BlackDragonM"] = "Black Dragon Mail";
    ["ScaledDraenicA"] = "Scaled Draenic Armor";
    ["FelscaleArmor"] = "Felscale Armor";
    ["FelstalkerArmor"] = "Felstalker Armor";
    ["NetherFury"] = "Fury of the Nether";
    ["PrimalIntent"] = "Primal Intent";
    ["WindhawkArmor"] = "Windhawk Armor";
    ["NetherscaleArmor"] = "Netherscale Armor";
    ["NetherstrikeArmor"] = "Netherstrike Armor";
    --ZG Sets
    ["ZGDruid"] = "Druid ZG Set";
    ["ZGHunter"] = "Hunter ZG Set";
    ["ZGMage"] = "Mage ZG Set";
    ["ZGPaladin"] = "Paladin ZG Set";
    ["ZGPriest"] = "Priest ZG Set";
    ["ZGRogue"] = "Rogue ZG Set";
    ["ZGShaman"] = "Shaman ZG Set";
    ["ZGWarlock"] = "Warlock ZG Set";
    ["ZGWarrior"] = "Warrior ZG Set";
    --Dungeon Set 1/2
    ["T0Druid"] = "Druid Dungeon Set 1/2";
    ["T0Hunter"] = "Hunter Dungeon Set 1/2";
    ["T0Mage"] = "Mage Dungeon Set 1/2";
    ["T0Paladin"] = "Paladin Dungeon Set 1/2";
    ["T0Priest"] = "Priest Dungeon Set 1/2";
    ["T0Rogue"] = "Rogue Dungeon Set 1/2";
    ["T0Shaman"] = "Shaman Dungeon Set 1/2";
    ["T0Warlock"] = "Warlock Dungeon Set 1/2";
    ["T0Warrior"] = "Warrior Dungeon Set 1/2";
    --Dungeon Set 3
    ["DS3Hallowed"] = "Hallowed Raiment (Cloth)";
    ["DS3Incanter"] = "Incanter's Regalia (Cloth)";
    ["DS3Mana"] = "Mana-Etched Regalia (Cloth)";
    ["DS3Oblivion"] = "Oblivion Raiment (Cloth)";
    ["DS3Assassin"] = "Assassination Armor (Leather)";
    ["DS3Moonglade"] = "Moonglade Raiment (Leather)";
    ["DS3Wastewalker"] = "Wastewalker Armor (Leather)";
    ["DS3Beast"] = "Beast Lord Armor (Mail)";
    ["DS3Desolation"] = "Desolation Battlegear (Mail)";
    ["DS3Tidefury"] = "Tidefury Raiment (Mail)";
    ["DS3Bold"] = "Bold Armor (Plate)";
    ["DS3Doom"] = "Doomplate Battlegear (Plate)";
    ["DS3Right"] = "Righteous Armor (Plate)";
    --T1 Sets
    ["T1Druid"] = "Druid T1 Set";
    ["T1Hunter"] = "Hunter T1 Set";
    ["T1Mage"] = "Mage T1 Set";
    ["T1Paladin"] = "Paladin T1 Set";
    ["T1Priest"] = "Priest T1 Set";
    ["T1Rogue"] = "Rogue T1 Set";
    ["T1Shaman"] = "Shaman T1 Set";
    ["T1Warlock"] = "Warlock T1 Set";
    ["T1Warrior"] = "Warrior T1 Set";
    --T2 Sets
    ["T2Druid"] = "Druid T2 Set";
    ["T2Hunter"] = "Hunter T2 Set";
    ["T2Mage"] = "Mage T2 Set";
    ["T2Paladin"] = "Paladin T2 Set";
    ["T2Priest"] = "Priest T2 Set";
    ["T2Rogue"] = "Rogue T2 Set";
    ["T2Shaman"] = "Shaman T2 Set";
    ["T2Warlock"] = "Warlock T2 Set";
    ["T2Warrior"] = "Warrior T2 Set";
    --T3 Sets
    ["T3Druid"] = "Druid T3 Set";
    ["T3Hunter"] = "Hunter T3 Set";
    ["T3Mage"] = "Mage T3 Set";
    ["T3Paladin"] = "Paladin T3 Set";
    ["T3Priest"] = "Priest T3 Set";
    ["T3Rogue"] = "Rogue T3 Set";
    ["T3Shaman"] = "Shaman T3 Set";
    ["T3Warlock"] = "Warlock T3 Set";
    ["T3Warrior"] = "Warrior T3 Set";
    --T4 Sets
    ["T4Druid"] = "Druid T4 Sets";
    ["T4Hunter"] = "Hunter T4 Sets";
    ["T4Mage"] = "Mage T4 Sets";
    ["T4Paladin"] = "Paladin T4 Sets";
    ["T4Priest"] = "Priest T4 Sets";
    ["T4Rogue"] = "Rogue T4 Sets";
    ["T4Shaman"] = "Shaman T4 Sets";
    ["T4Warlock"] = "Warlock T4 Sets";
    ["T4Warrior"] = "Warrior T4 Sets";
    --T5 Sets
    ["T5Druid"] = "Druid T5 Sets";
    ["T5Hunter"] = "Hunter T5 Sets";
    ["T5Mage"] = "Mage T5 Sets";
    ["T5Paladin"] = "Paladin T5 Sets";
    ["T5Priest"] = "Priest T5 Sets";
    ["T5Rogue"] = "Rogue T5 Sets";
    ["T5Shaman"] = "Shaman T5 Sets";
    ["T5Warlock"] = "Warlock T5 Sets";
    ["T5Warrior"] = "Warrior T5 Sets";
    --T6 Sets
    ["T6Druid"] = "Druid T6 Sets";
    ["T6Hunter"] = "Hunter T6 Sets";
    ["T6Mage"] = "Mage T6 Sets";
    ["T6Paladin"] = "Paladin T6 Sets";
    ["T6Priest"] = "Priest T6 Sets";
    ["T6Rogue"] = "Rogue T6 Sets";
    ["T6Shaman"] = "Shaman T6 Sets";
    ["T6Warlock"] = "Warlock T6 Sets";
    ["T6Warrior"] = "Warrior T6 Sets";
    --Misc Sets
    ["HardModeToken"] = "Lvl70 Instance Rewards: Accessories";
    ["HardModeToken2"] = "Lvl70 Instance Rewards: Fire Resistance Gear";
    ["HardModeToken3"] = "Lvl70 Instance Rewards: Armor and Weapons";
    ["Legendaries"] = "Legendary Items";
    ["RareMounts"] = "Rare Mounts";
    ["Tabards1"] = "Tabards";
    ["Tabards2"] = "Tabards";
    --Azuregos
    ["AAzuregos"] = "Azuregos";
    --Doom Lord Kazzak
    ["DoomLordKazzak"] = "Doom Lord Kazzak";
    --Doomwalker
    ["DDoomwalker"] = "Doomwalker";
    --Emeriss
    ["DEmeriss"] = "Emeriss";
    --Highlord Kruul
    ["KKruul"] = "Highlord Kruul";
    --Lethon
    ["DLethon"] = "Lethon";
    --Taerar
    ["DTaerar"] = "Taerar";
    --Ysondre
    ["DYsondre"] = "Ysondre";
    --Aldor
    ["Aldor1"] = BabbleFaction["The Aldor"]..": Friendly/Honored";
    ["Aldor2"] = BabbleFaction["The Aldor"]..": Revered/Exalted";
    --The Argent Dawn
    ["Argent1"] = BabbleFaction["Argent Dawn"]..": Token Hand-ins";
    ["Argent2"] = BabbleFaction["Argent Dawn"];
    --Ashtongue Deathsworn
    ["Ashtongue1"] = BabbleFaction["Ashtongue Deathsworn"];
    ["Ashtongue2"] = BabbleFaction["Ashtongue Deathsworn"];
    --The Bloodsail Buccaneers
    ["Bloodsail1"] = BabbleFaction["Bloodsail Buccaneers"];
    --The Brood of Nozdormu
    ["AQBroodRings"] = BabbleFaction["Brood of Nozdormu"];
    --The Cenarion Circle
    ["Cenarion1"] = BabbleFaction["Cenarion Circle"]..": Friendly";
    ["Cenarion2"] = BabbleFaction["Cenarion Circle"]..": Honored";
    ["Cenarion3"] = BabbleFaction["Cenarion Circle"]..": Revered";
    ["Cenarion4"] = BabbleFaction["Cenarion Circle"]..": Exalted";
    --The Cenarion Expedition
    ["CExpedition1"] = BabbleFaction["Cenarion Expedition"]..": Friendly/Honored";
    ["CExpedition2"] = BabbleFaction["Cenarion Expedition"]..": Revered/Exalted";
    --The Consortium
    ["Consortium1"] = BabbleFaction["The Consortium"]..": Friendly/Honored";
    ["Consortium2"] = BabbleFaction["The Consortium"]..": Revered/Exalted";
    --The Darkmoon Faire
    ["Darkmoon"] = BabbleFaction["Darkmoon Faire"];
    --The Frostwolf Clan
    ["Frostwolf1"] = BabbleFaction["Frostwolf Clan"];
    --The Hydraxian Waterlords
    ["WaterLords1"] = BabbleFaction["Hydraxian Waterlords"];
    --Honor Hold
    ["HonorHold1"] = BabbleFaction["Honor Hold"]..": Friendly/Honored";
    ["HonorHold2"] = BabbleFaction["Honor Hold"]..": Revered/Exalted";
    --The Keepers of Time
    ["KeepersofTime1"] = BabbleFaction["Keepers of Time"];
    --The Kurenai
    ["Kurenai1"] = BabbleFaction["Kurenai"];
    --Lower City
    ["LowerCity1"] = BabbleFaction["Lower City"];
    --The Mag'har
    ["Maghar1"] = BabbleFaction["The Mag'har"];
    --Netherwing
    ["Netherwing1"] = BabbleFaction["Netherwing"];
    --Ogri'la
    ["Ogrila1"] = BabbleFaction["Ogri'la"];
    --The Scale of the Sands
    ["ScaleSands1"] = BabbleFaction["The Scale of the Sands"];
    ["ScaleSands2"] = BabbleFaction["The Scale of the Sands"];
    --The Scryers
    ["Scryer1"] = BabbleFaction["The Scryers"]..": Friendly/Honored";
    ["Scryer2"] = BabbleFaction["The Scryers"]..": Revered/Exalted";
    --The Sha'tar
    ["Shatar1"] = BabbleFaction["The Sha'tar"];
    --Sha'tari Skyguard
    ["Skyguard1"] = BabbleFaction["Sha'tari Skyguard"];
    --The Sporeggar
    ["Sporeggar1"] = BabbleFaction["Sporeggar"];
    --The Stormpike Guards
    ["Stormpike1"] = BabbleFaction["Stormpike Guard"];
    --The Thorium Brotherhood
    ["Thorium1"] = BabbleFaction["Thorium Brotherhood"]..": Friendly/Honored";
    ["Thorium2"] = BabbleFaction["Thorium Brotherhood"]..": Revered/Exalted";
    --Thrallmar
    ["Thrallmar1"] = BabbleFaction["Thrallmar"]..": Friendly/Honored";
    ["Thrallmar2"] = BabbleFaction["Thrallmar"]..": Revered/Exalted";
    --Timbermaw Hold
    ["Timbermaw"] = BabbleFaction["Timbermaw Hold"];
    --The Tranquillien
    ["Tranquillien1"] = BabbleFaction["Tranquillien"];
    --The Violet Eye
    ["VioletEye1"] = BabbleFaction["The Violet Eye"];
    --The Wintersaber Trainers
    ["Wintersaber1"] = BabbleFaction["Wintersaber Trainers"];
    --The Zandalar Tribe
    ["Zandalar1"] = BabbleFaction["Zandalar Tribe"]..": Friendly/Honored";
    ["Zandalar2"] = BabbleFaction["Zandalar Tribe"]..": Revered/Exalted";
    --Battlegrounds
    ["AVMisc"] = "Alterac Valley Misc. Rewards";
    ["AVBlue"] = "Alterac Valley Blue Rewards";
    ["AVPurple"] = "Alterac Valley Purple Rewards";
    ["ABMisc"] = "Arathi Basin Misc. Rewards";
    ["ABBlue"] = "Arathi Basin Blue Rewards";
    ["ABPurple"] = "Arathi Basin Purple Rewards";
    ["ABSets1"] = "Arathi Basin Armor Sets (Cloth/Leather)";
    ["ABSets2"] = "Arathi Basin Armor Sets (Mail/Plate)";
    ["WSGMisc"] = "Warsong Gulch Misc. Rewards";
    ["WSGBlue"] = "Warsong Gulch Blue Rewards";
    ["WSGPurple"] = "Warsong Gulch Purple Rewards";
    --World PvP
    ["Hellfire"] = "Hellfire Peninsula: Fortifications";
    ["Nagrand"] = "Nagrand: Halaa";
    ["Terokkar"] = "Terokkar Forest: Spirit Towers";
    ["Zangarmarsh"] = "Zangarmarsh: The Twin Spires";
    --Misc Other PvP
    ["PvP60Accessories1"] = "PvP Accessories (Level 60)";
    ["PvP60Accessories2"] = "PvP Accessories (Level 60)";
    ["PvP70Accessories1"] = "PvP Accessories (Level 70)";
    ["PvP70Accessories2"] = "PvP Accessories (Level 70)";
    ["PvP70NonSet1"] = "PvP Non-Set Epics: Back/Wrists";
    ["PvP70NonSet2"] = "PvP Non-Set Epics: Waist";
    ["PvP70NonSet3"] = "PvP Non-Set Epics: Feet";
    ["PVPWeapons1"] = "Level 60 PvP Weapons";
    ["PVPWeapons2"] = "Level 60 PvP Weapons";
    ["PVP70Weapons1"] = "Level 70 PvP Weapons";
    ["PVP70Weapons2"] = "Level 70 PvP Weapons";
    };